Bug 1493753 - RFE Provide S3 health check feature. [consulting]
Summary: RFE Provide S3 health check feature. [consulting]
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 3.*
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-20 20:07 UTC by Tupper Cole
Modified: 2019-08-22 04:36 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-22 04:36:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Tupper Cole 2017-09-20 20:07:44 UTC
Description of problem:
There is a (poorly documented) /healthcheck feature in Swift. This should also be available in S3, and documented. 

The Swift healthcheck is referenced in the following bug but seems otherwise undocumented.

https://bugzilla.redhat.com/show_bug.cgi?id=1422893

This allows users to remove HAproxy, since it is no longer needed for SSL termination.

Comment 4 Tupper Cole 2019-04-01 16:37:43 UTC
It's been ~18 months since this was reported. Any idea if it will be included in RHCS?

Comment 5 Giridhar Ramaraju 2019-08-05 13:12:08 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 6 Giridhar Ramaraju 2019-08-05 13:12:56 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri


Note You need to log in before you can comment on or make changes to this bug.